Submit Send Request

Submit a send request. This will lock in a rate and await approval.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

⚠️

Updated Terminology

Payments are now called Sends. These Send endpoints replace the legacy Payments endpoints. The functionality remains identical, only the terminology has changed. Legacy payment endpoints are deprecated but will continue to work. We recommend migrating to these new /send endpoints for future compatibility.

📘

Amount in USD or local currency

The amount field and the localAmount field are interchangeable in the request body. Either one is required, but not both. Specifying the USD amount will then calculate an amount in local currency based on the partner rates, while specifying a localAmount in the local currency will fix this amount for the user while calculating the USD amount from the rates. The convertedAmount in the response body indicates the amount in local currency that has either been fixed or calculated.

🚧

Ten Minute Expiry

Send requests have ten minutes to be accepted or will automatically mark itself as expired.

📘

Force Accept

Setting forceAccept field to true allows you to skip the accept send request and your send would start processing once you submit send request.


📘

Channel Note

You can now use channelType as an alternative to specifying a channelId in your Submit Send API Request.

When using channelType you're required to pass the country and currency in the send request

When you provide a channelType, country and currency the system will automatically select an appropriate active channel for your transaction.

Available Channel Types:

  • momo
  • bank (P2P and EFT channel types should be passed in as bank)

LATAM Send Fields

When sending send transactions to LATAM currencies, additional fields are required beyond the standard request body. This document outlines the currency-specific fields per currency.


MXN — Mexico

No extra fields required. Ensure destination.accountNumber is a valid 18-digit CLABE number.


ARS — Argentina

FieldLocationRequiredDescription
accountNumberdestinationYesCVU or CBU — must be exactly 22 digits
cuitrequest rootYesArgentine tax ID — must be exactly 11 digits

BRL — Brazil

FieldLocationRequiredDescription
pixKeyTypedestinationYesPix key type — one of: CPF, CNPJ, EMAIL, PHONE, RANDOM_KEY

Pix key format by type (destination.accountNumber):

pixKeyTypeExpected format
CPF11 digits
CNPJ14 digits
EMAILValid email address
PHONE10–11 digits
RANDOM_KEYUUID format (contains -)

COP — Colombia

FieldLocationRequiredDescription
identificationTyperequest rootYesDocument type code (see table below)
identificationNumberrequest rootYesDocument number
accountTyperequest rootNoAccount type code — defaults to ch (savings) if omitted

accountType values:

ValueDescription
ccChecking account
chSavings account (default)
dpElectronic deposit

identificationType values:

ValueDescription
ccCitizenship ID
nitTax ID
ceForeigner ID
paPassport
pptTemporary Protection Permit
tiIdentity Card
rcCivil Registry
teForeigner Card
dieForeign ID Document
ndNo Document

Body Params
string

The identifier of the specific channel to execute payment through

string
required

Represents a unique id for the transaction from your end

int32

Amount in USD to transact

int32

The amount in local currency to transact

string
required

The reason for the withdrawal. See guide for supported payment reasons

sender
object
required

Sender KYC details

destination
object
required

Destination and Recipient Details

boolean
enum
required
Defaults to false

Specify whether or not you want to skip the accept payment step

Allowed:
string
enum
required
Defaults to retail

Determines the type of validation that is performed on the sender. If value is institution, the sender request object will be validated to ensure it includes businessName and businessId parameter. If the value is retail, the sender request object will be validated to ensure it includes name, phone, email, country, address, dob, idNumber and idType.

Allowed:
string
required

Unique identifier for the customer

string
enum
Allowed:
string

Country ISO 3166 code e.g. NG, KE, CI. This field is only required when using channelType

string

Currency code e.g. NGN, KES, XAF, XOF. This field is only required when using channelType

boolean
Defaults to false
settlementInfo
object

Only required when directSettlement is true

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json